解决CentOS的yum无法安装https来源的epel问题
解决CentOS的yum无法安装https来源的epel问题
jndion2011 发表于3年前
解决CentOS的yum无法安装https来源的epel问题
  • 发表于 3年前
  • 阅读 335
  • 收藏 3
  • 点赞 0
  • 评论 0
摘要: 使用目前的centOS-6.X等版本可能出现无法安装来源是https的一些包,例如nodeJS,安装会出现404无法访问。网上常见的解决方法是关掉镜像链接,这不是坑爹吗,镜像链接取消了就更不可能安装了啊摔,果然百度坑死人。

yum安装NodeJS在访问镜像列表时出现404,升级yum更新epel之后则出现这个错误: “Error: Cannot retrieve metalink for repository: epel. Please verify its path and try again”

通过Google得知:原因

yum-epel升级到0.5.2版本,更换了https链接,所以原来的镜像列表就过时了,砸地。

解决方法是,运行:yum --disablerepo=epel -y update ca-certificates

记住一定要加上--disablerepo=epel,否则怎么都更新不了

当然你闲得蛋疼也可以手动去改镜像列表。

这个问题说明了不会用Google害死人,百度可以再见了。

标签: Node.js
共有 人打赏支持
粉丝 3
博文 12
码字总数 8228
×
jndion2011
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: